org.jbpm.workflow.core.node

## Class Transformation

- java.lang.Object
- - org.jbpm.workflow.core.node.Transformation

- All Implemented Interfaces:
    Serializable

      public class Transformation
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transformation(String lang, String expression)`
    `Transformation(String lang, String expression, String source)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getCompiledExpression()`
    `String` | `getExpression()`
    `String` | `getLanguage()`
    `String` | `getSource()`
    `void` | `setCompiledExpression(Object compliedExpression)`
    `void` | `setExpression(String expression)`
    `void` | `setLanguage(String language)`
    `void` | `setSource(String source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Transformation

          public Transformation(String lang,
                        String expression)

    - #### Transformation

          public Transformation(String lang,
                        String expression,
                        String source)

  - ### Method Detail

    - #### getLanguage

          public String getLanguage()

    - #### setLanguage

          public void setLanguage(String language)

    - #### getExpression

          public String getExpression()

    - #### setExpression

          public void setExpression(String expression)

    - #### getCompiledExpression

          public Object getCompiledExpression()

    - #### setCompiledExpression

          public void setCompiledExpression(Object compliedExpression)

    - #### getSource

          public String getSource()

    - #### setSource

          public void setSource(String source)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.